package sudoku;

import java.util.ArrayList;
import java.util.Arrays;

public class App {
    public String getGreeting() {
        return "Hello World!";
    }

    public static void main(String[] args) {
        System.out.println(new App().getGreeting());

        // Create a new Sudoku
        Sudoku sudoku = new Sudoku(9);
        sudoku.getGrille().setSymbolesPossibles(new ArrayList<>(Arrays.asList(
                Symbole.of(1),
                Symbole.of(2),
                Symbole.of(3),
                Symbole.of(4),
                Symbole.of(5),
                Symbole.of(6),
                Symbole.of(7),
                Symbole.of(8),
                Symbole.of(9))));

        sudoku.getGrille().setCase(0, 0, Symbole.of(1));
        sudoku.getGrille().setCase(6, 1, Symbole.of(2));
        sudoku.getGrille().setCase(2, 2, Symbole.of(3));
        sudoku.getGrille().setCase(0, 3, Symbole.of(4));
        sudoku.getGrille().setCase(4, 4, Symbole.of(5));
        sudoku.getGrille().setCase(0, 5, Symbole.of(6));
        sudoku.getGrille().setCase(5, 6, Symbole.of(7));
        sudoku.getGrille().setCase(0, 7, Symbole.of(8));
        sudoku.getGrille().setCase(4, 8, Symbole.of(9));

        sudoku.getGrille().createSquareBlocs();

        System.out.println("Sudoku :");
        System.out.println(sudoku.getGrille().toString());

        System.out.println("Blocs :");
        sudoku.getGrille().printBlocs();

        System.out.println("Symboles possibles :");
        sudoku.getGrille().printSymbolesPossibles();
    }
}
